clang 10.0.0git

Public Member Functions | List of all members
clang::TraversalKindScope Class Reference

`#include "clang/AST/ASTContext.h"`

## Public Member Functions
| TraversalKindScope (ASTContext &Ctx, llvm::Optional< ast_type_traits::TraversalKind > ScopeTK)
| ~TraversalKindScope ()

## Detailed Description

Definition at line 3074 of file ASTContext.h.

## Constructor & Destructor Documentation

## ◆ TraversalKindScope()

clang::TraversalKindScope::TraversalKindScope | ( | ASTContext & | Ctx,
|  | llvm::Optional< ast_type_traits::TraversalKind > | ScopeTK
| ) |  |
| inline

Definition at line 3079 of file ASTContext.h.

References clang::ASTContext::getTraversalKind(), and clang::ASTContext::setTraversalKind().

## ◆ ~TraversalKindScope()

clang::TraversalKindScope::~TraversalKindScope | ( |  | ) |
| inline

Definition at line 3087 of file ASTContext.h.

References clang::ASTContext::setTraversalKind().

The documentation for this class was generated from the following file:

- include/clang/AST/ASTContext.h